Name:           perl-IRI
Version:        0.006
Release:        1%{?dist}
Summary:        Internationalized Resource Identifiers
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/IRI/
Source0:        http://www.cpan.org/authors/id/G/GW/GWILLIAMS/IRI-%{version}.tar.gz
# Simplify Makefile.PL to skip unwanted dependencies
Patch0:         IRI-0.005-Disable-author-features.patch
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(inc::Module::Install)
BuildRequires:  perl(Module::Install::Metadata)
BuildRequires:  perl(Module::Install::WriteAll)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  sed
# Run-time:
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Moo)
BuildRequires:  perl(MooX::HandlesVia)
BuildRequires:  perl(Scalar::Util)
# Types::Standard version from Type::Tiny in META.yml
BuildRequires:  perl(Types::Standard) >= 0.008
# Test:
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(URI)
BuildRequires:  perl(utf8)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# Types::Standard version from Type::Tiny in META.yml
Requires:       perl(Types::Standard) >= 0.008

# Filter underspecified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(Types::Standard\\)$

%description
The IRI module provides an object representation for Internationalized
Resource Identifiers (IRIs) as defined by RFC 3987 and supports their
parsing, serializing, and base resolution.

%prep
%setup -q -n IRI-%{version}
%patch0 -p1
# Remove bundled modules
rm -rf inc
sed -i -e '/^inc/d' MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes.ttl README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Jul 20 2016 Petr Pisar <ppisar@redhat.com> - 0.006-1
- 0.006 bump

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.005-2
- Perl 5.24 rebuild

* Tue Apr 05 2016 Petr Pisar <ppisar@redhat.com> - 0.005-1
- 0.005 bump

* Wed Mar 16 2016 Petr Pisar <ppisar@redhat.com> 0.004-1
- Specfile autogenerated by cpanspec 1.78.
